(function($){
	//Notify me By
	$('#notify-trigger, #notify-trigger-2, #notify-trigger-3').on('click', function(){
		$(this).closest('p').siblings('.notify-dropdown').toggle(400);

		$(this).closest('.request-submit-box').siblings('.notify-dropdown').toggle(400);

	});
	$('.notify-dropdown').find('li').on('click', function(){
		if(!$(this).hasClass('empty-number')){
			var dataText = $(this).data('notify'),
			$this = $(this);
			$this.closest('.notify-dropdown').fadeOut(400);
			$this.addClass('active').siblings('.active').removeClass('active');

			$('#notify-me, #notify-me-2, #notify-me-3').text(dataText);
		}
	});

	//Add a Card Alert
	$('#removeAcard').on('click', function(){
		$(this).closest('.add-a-card').fadeOut('fast');
	});

	//Saving phone number
	$('.save-number').find('button').on('click', function(){
		if( $(this).siblings('input').val().length !== 0 ){
			$(this).text('saving..');
			$(this).closest('.save-number').siblings('.empty-number').attr('data-notify', 'Text Message').removeClass('empty-number');
			$(this).closest('.save-number').fadeOut(1000);
		}
	});

	// show Add Anything To Do?
	var showAddAnythingEachTime = function(){
		$('.modal-text').find('.modalAddTrigger').siblings('textarea').addClass('hide');
		$('.modal-text').find('.modalAddTrigger').removeClass('hide');

		//Notify DropDown Hide each Time
		$('.notify-dropdown').hide();
	};

	//Portal request modal ANYTHING TO ADD?
	$('.modalAddTrigger').on('click', function(){
		$(this).siblings('textarea').removeClass('hide');
		$(this).addClass('hide');
	});

	//Make a request SUBMIT button
	$('#makeARequestButton').on('click', function(e){

		showAddAnythingEachTime();

		e.preventDefault();
		var requestValue = $(this).closest('header').siblings('textarea').val();
		if(requestValue !== null && requestValue.length !== 0){
			$('#makeARequestButton').attr('data-toggle', 'modal');
			$(this).closest('.request-submit-box').find('.request-value').text(requestValue);
		}
	});

	//Product modal
	$('#products-carousel').find('.single-trending-list').on('click', function(e){
		var img = $(this).find('img').attr('src'),
		price = $(this).find('span').text(),
		title = $(this).find('h3').text();
		$(this).closest('li').siblings().find($(this)).removeAttr('data-target');
		$(this).attr('data-target', '#myModalProduct');

		$(this).closest('.tranding-wrapper').find('#myModalProduct .modal-header .product-left img').attr('src', img);
		$(this).closest('.tranding-wrapper').find('#myModalProduct .modal-header .product-right .product-new-price b').text(price);
		$(this).closest('.tranding-wrapper').find('#myModalProduct .modal-header .product-right h1').text(title);


		showAddAnythingEachTime();

		$('#myModalProduct').find('.modal-reorder-rel-after, .modal-reorder-rel-return').slideUp('fast');
		$('#myModalProduct').find('.modal-reorder-rel-base').slideDown('fast');


		$('#myModalProduct').find('.help-me-button').on('click', function(){
			$(this).closest('.modal-body').siblings('.modal-body.modal-reorder-rel-after').slideDown('fast');
			$(this).closest('.modal-body').slideUp('fast');
			$('.our-products').find('.modal-reorder-rel-after').find('.request-value').find('span').text(title);
		});

		$('#myModalProduct').find('.ask-question').on('click', function(){
			$(this).closest('.modal-body').siblings('.modal-body.modal-reorder-rel-return').slideDown('fast');
			$(this).closest('.modal-body').slideUp('fast');
			$('.our-products').find('.modal-reorder-rel-return').find('.request-value').find('span').text(title);
		});

	});



	//excerpts
	var originalCarouselH3 = $('#products-carousel').find('.single-trending-list').find('h3'),
	sidebarOrderText = $('.single-info-wrapper').find('p'),
	trendingRequestH3 = $('#trending-carousel').find('.single-trending-list').find('h3');

	function excerpt(excerptElement, number , more){
		excerptElement.each(function(){
		var productTitle = $(this).text(),
		productTitleExcerpt,
		toArray = productTitle.split("", number),
		joinArray = toArray.join(''),
		joinArrayToArray = joinArray.split(" "),
		joinArrayToArrayPop = joinArrayToArray.pop(),
		joinArrayToArrayPopPush = joinArrayToArray.push(more),
		joinArrayToArrayPopPushJoin = joinArrayToArray.join(' '),
		productTitleExcerpt = joinArrayToArrayPopPushJoin;

		if(productTitle.length > number){
			productTitle = productTitleExcerpt;
			$(this).text(productTitle);
		}
		});
	}
	
	excerpt(originalCarouselH3, 36, '...');
	excerpt(sidebarOrderText, 50, '...');
	excerpt(trendingRequestH3, 20, '...');


	//order info max height
	var orderImg = $('.order-product-img').find('img'),
	orderImgHeight = orderImg.height(),
	orderRight = $('.order-product-right-info'),
	orderRightHeight = orderRight.height();

	if(orderImgHeight < orderRightHeight){
		orderRightHeight -= 2;
		orderRight.css({
			'max-height' : orderImgHeight,
			// 'overflow-x' : 'hidden',
			// 'overflow-y' : 'scroll'
		});
		console.log(newH);
	}


	//My Order RE-ORDER click
	$('.order-product-buttons > button').on('click', function(){
		var closeText = $(this).closest('.dsk-single-order-box').find('.order-product-right-info').find('p').text();

		showAddAnythingEachTime();

		//Trigger different modals
		$(this).closest('.col-md-6.pr0').siblings().find($(this)).removeAttr('data-target');
		$(this).attr('data-target', '#myModalReOrder');

		//Changing modal text according to right info box text
		$('.your-orders').find('.request-value').find('span').text(closeText);
	});

	

	//My Order ORDER_DETAILS click

	/*Common
		Function
	*/
	

	// clickarea.on('click', function(){
		function orderDetailsCommon(inputText, inputImg, siblings, self, nearestParent){
			var closeText = inputText.text(),
			thisImg = inputImg.attr('src');

			showAddAnythingEachTime();


			siblings.removeAttr('data-target');
			self.attr('data-target', '#myModalOrderDetails');
			nearestParent.find('.all-information').find('p').text(closeText);
			nearestParent.find('.modal-details-product').find('img').attr('src', thisImg);

			$('#myModalOrderDetails').find('.modal-reorder-rel-after, .modal-reorder-rel-return').slideUp('fast');
			$('#myModalOrderDetails').find('.modal-reorder-rel-base').slideDown('fast');



			$('#myModalOrderDetails').find('.reorder').on('click', function(){
				$(this).closest('.modal-body').siblings('.modal-body.modal-reorder-rel-after').slideDown('fast');
				$(this).closest('.modal-body').slideUp('fast');
				nearestParent.find('.modal-reorder-rel-after').find('.request-value').find('span').text(closeText);
			});

			$('#myModalOrderDetails').find('.modal-track').on('click', function(){
				$(this).closest('.modal-body').siblings('.modal-body.modal-reorder-rel-return').slideDown('fast');
				$(this).closest('.modal-body').slideUp('fast');
				nearestParent.find('.modal-reorder-rel-return').find('.request-value').find('span').text(closeText);
			});
		}

	
	

	//ORDER PAGE order details
	var buttonPD = $('.order-product-buttons').find('.order-product-buttons-right > button');
	buttonPD.on('click', function(){
		var that = $(this);
		orderDetailsCommon(
		that.closest('.dsk-single-order-box').find('.order-product-right-info').find('p'),
		that.closest('.dsk-single-order-box').find('.order-product-img').find('img'),
		that.closest('.col-md-6.pr0').siblings().find(that),
		that,
		$('.your-orders')
		);
	});
	$('.order-product-img').find('img').on('click', function(){
		$(this).closest('.dsk-single-order-box').find(buttonPD).trigger('click');
	});

	//Portal PAGE order details - sidebar
	$('.single-recent-order').on('click', function(){
		var that = $(this);
		orderDetailsCommon(
		that.find('.single-info-wrapper').find('p'),
		that.find('.single-image-wrapper').find('img'),
		that.siblings(),
		that,
		$('.portal-page-product')
		);
	});
	

	//Login Remember me
	$('.dsk-login-form').find('.checkbox').on('click', function(){
		$(this).find('em').toggleClass('visible');
	});

	// Forget your password
	$('.forget-buton').on('click', function(e){
		e.preventDefault();
		var checker = $(this).siblings('.input-grp').find('input').val();
		console.log(checker);
		if( checker === ""){
			
			// $(this).text('hagu');
		}else{
			
			$(this).removeClass('stp').text('BACK TO HOME');
			// $(this).wrap('<a href="portal-request.html"></a>')
			$(this).closest('.forget-p-area').fadeOut(100);
			$(this).closest('.forget-p-area').siblings().fadeIn(700);
			$('.dsk-dont-have-account').hide()
		}
	});


	//Trennding PORTAL Request BUTTON click
	$('#trending-carousel .single-trending-list').on('click', function(){
		var closeText = $(this).find('h3').text();

		//Trigger different modals
		$(this).closest('li').siblings().find($(this)).removeAttr('data-target');
		$(this).attr('data-target', '#myModalTrending');

		//Changing modal text according to right info box text
		$('.portal-modal.trending-rel').find('.modal-header > p').find('span').text(closeText);

		
	});


	//Pre-animation Modal Global Function
	/*
	Process: Make an element hidden immidietly, make it's position out of the HTML body (here, relatively top -500px),
	Then animationg that position to it's default position (here, relatively top 0px)
	It will show as sliding down that element from top outside of the HTML body
	*/
	function PREanimation(element, delay){
		var modalPREanimation = element.hide();

		function modalPREanimations(){
			modalPREanimation.css({
				'position' : 'relative',
				'top'      : '-500px' 
				}).show().animate({
					'position' : 'relative',
					'top'      : '0px'
				});
		}
		
		setTimeout(function(){
			modalPREanimations();
		},delay);
	}



	//SUBMIT button Modal
	$('.modal-button.modal-confirm').not( "#changePassSuccess" ).on('click', function(){
		var that = $(this),
		source   = $("#entry-template").html(),
		template = Handlebars.compile(source),
		winHeight = $(window).height(), //window height
		contentHeight = that.closest('.modal-content').height(), //content height
		modalHeight = that.height(); //modal height

		
		//main modal slide down//appear animation
		function modalDown(){
			that.closest('.modal-content').show().animate({
				'position' : 'relative',
				'top'      : '10px',
				'opacity'  : '1'
			},50).animate({ //200
				'position' : 'relative',
				'top'      : winHeight - contentHeight - 85,
				'opacity'  : '0' //0
			},200); //0
		}

		//welcome box silde down/appear animation
		function welcomeFadeIn(time){
			PREanimation(that.closest('.modal-dialog').prepend(template), 100); //delay 100
		}

		//welcome box disappear down animation
		function welcomeFadeOut(){	
			that.closest('.modal-content').siblings('.modal-content.modal-content-submit').animate({
				'position' : 'relative',
				'top' : '0',
				'opacity' : '1'
			},100).animate({
				'position' : 'relative',
				'top' : winHeight - 300,
				'opacity' : '0'
			},400);	//400
		}
		
		//main modal slide down delay 100
		setTimeout(function(){

				modalDown();

			//welcome box slide down/appear delay 300
			setTimeout(function(){

				welcomeFadeIn('fast');

				//making main modal disappear (display:none)
				that.closest('.modal-content').animate({
								'position': 'relative',
								'top'    : '0',
								'opacity' : '1',

							}).css({
								'display' : 'none'
							});

				//welcome box disappear delay 3600 - will stay for 3000ms and then disappear
				setTimeout(function(){

					welcomeFadeOut();

					//Modal fadeOut delay 1000 - actually 400
					setTimeout(function(){

						that.siblings('.modal-dismiss').trigger('click');
						that.closest('.modal-dialog').find('.modal-content.modal-content-submit').remove(); //destroy welcome box each time

						//Make ready welcome box for next appear - it's created hiddenly after modal triggered off - delay 400 after modal off
						setTimeout(function(){

							that.closest('.modal-content').siblings('.modal-content.modal-content-submit').animate({
								'position' : 'relative',
								'top' : '0px',
								'opacity' : '1'
							});

						},400); //delay 400 after modal off

					},1000); //Modal fadeOut delay 1000 - actually 400

				},3600); //welcome box disappear delay 3600 - will stay for 3000ms and then disappear

			},300); //welcome box slide down/appear delay 300

		},100); //main modal slide down delay 100

		
	});

/*All modal Appear Animation*/
$('*[data-toggle="modal"], *[data-target]').on('click', function(){

	var element = $('.modal-content'); //grabbing all modal

	PREanimation(element, 400); //Modal appear delay 400
	
});



})(jQuery);