(function($){

	var carouselUl = $('.ul-trending-list');


	//Prepending gradient Layer over 5th child
	carouselUl.find('li:nth-child(5)').addClass('gradiant-li');
	$('.gradiant-li').prepend('<div class="gradient-layer"></div>');
	$('.gradient-layer').prepend('<img class="gradient-layer-img" src="img/portal/arrow-right.png">');

	//fadeIn/fadeOut arrow hovering on gradient Layer
	$('.gradient-layer').hover(
		function(){
			$(this).closest('li').find('img.gradient-layer-img').fadeIn(200);
		},
		function(){
			$(this).closest('li').find('img.gradient-layer-img').fadeOut(200);
		}
	);
	
	//Click events when clicking on arrows
	$('img.gradient-layer-img').on('click', function(){
		var closestUL = $(this).closest('ul');

		//Hidden the right arrow after clicking
		closestUL.find('img.gradient-layer-img').fadeOut();
		closestUL.find('.gradient-layer, img.gradient-layer-img ').hide();
		closestUL.find('li:nth-child(4)').addClass('gradiant-li-left');

		//if .gradient-layer-left exists-- destroy it
		closestUL.find('.gradiant-li-left').find('.gradient-layer-left').remove();

		//Create/prepending  right Gradient layer+arrow if not exists
		closestUL.find('.gradiant-li-left').prepend('<div class="gradient-layer-left"></div>');
		closestUL.find('.gradient-layer-left').prepend('<img class="gradient-layer-img-left" src="img/portal/arrow-left.png">');

		//animation how the carousel swipes
		closestUL.animate({
			'margin-left': $(window).width() < 1200 ? '-500px' : '-615px' //Responsive condition
		},200);

		//positioning whole carousel after clicking using the added class's CSS on CSS file
		$(this).closest('.tranding-wrapper').addClass('tranding-wrapper-left-zero');
		carouselUl.find('img.gradient-layer-img-left').addClass('left-arrow');

		//Click events when ckicking on LEFT arrow
		$('.left-arrow').on('click', function(){

			var leftClosestUL = $(this).closest('ul');

			//Showing right arrow and hiding clicked(left) arrow
			leftClosestUL.find('.gradient-layer').show();
			leftClosestUL.find('li:nth-child(4)').removeClass('gradiant-li-left');
			$(this).closest('.gradient-layer-left').hide();

			//animation how the carousel swipes right to left zero position
			leftClosestUL.animate({
			'margin-left': '0px'
			},200);

			//Reset the whole carousel position by removing the added class CSS
			$(this).closest('.tranding-wrapper').removeClass('tranding-wrapper-left-zero');
			carouselUl.find('img.gradient-layer-img-left').removeClass('jituuu');

		});

		//HoverEffect on the arrows after clicking left arrow
		$('.gradient-layer-left').hover(
			function(){
				$(this).closest('li').find('img.gradient-layer-img-left').fadeIn(200);
			},
			function(){
				$(this).closest('li').find('img.gradient-layer-img-left').fadeOut(200);
			}
		);
		
	});

})(jQuery);